/**
 * 
 */
package de.dhbwstuttgart.bytecode.genericsGeneratorTypes;

import java.util.Collections;
import java.util.List;

/**
 * @author fayez
 *
 */
public class GenericGeneratorResultsForAllMethods {
	private final List<MethodAndConstraints> methodsAndConstraints;
	
	public GenericGeneratorResultsForAllMethods() {
		this(Collections.emptyList());
	}
	/**
	 * @param methodsAndConstraints
	 */
	public GenericGeneratorResultsForAllMethods(List<MethodAndConstraints> methodsAndConstraints) {
		this.methodsAndConstraints = methodsAndConstraints;
	}
	
	/**
	 * @return the methodsAndConstraints
	 */
	public List<MethodAndConstraints> getMethodsAndConstraints() {
		return methodsAndConstraints;
	}

}
